commit:     e7f9d44e07b43d1f198aabdf248b3aaf720e8b1d
Author:     Thibaud CANALE <thican <AT> thican <DOT> net>
AuthorDate: Fri Feb 23 19:50:53 2024 +0000
Commit:     Thibaud CANALE <thican <AT> thican <DOT> net>
CommitDate: Fri Feb 23 19:50:53 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e7f9d44e

app-crypt/certbot-dns-rfc2136: add 2.9.0

Signed-off-by: Thibaud CANALE <thican <AT> thican.net>

 app-crypt/certbot-dns-rfc2136/Manifest             |  1 +
 .../certbot-dns-rfc2136-2.9.0.ebuild               | 70 ++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/app-crypt/certbot-dns-rfc2136/Manifest 
b/app-crypt/certbot-dns-rfc2136/Manifest
index 91edfdbab5..2aa6fc0bd1 100644
--- a/app-crypt/certbot-dns-rfc2136/Manifest
+++ b/app-crypt/certbot-dns-rfc2136/Manifest
@@ -1 +1,2 @@
 DIST certbot-2.8.0.gh.tar.gz 1344483 BLAKE2B 
f9957367ae65f69ab43a83993b29da4d28c0d01bd7a89ebefcbfb82915c26167b7443d08f6ee4d28e029f5a58736dee01700a30261aaa1dc0290273868da08e9
 SHA512 
2fbaf5349e7ef0dcb054c3b22d63007c588cbdc0d23d484a56e62ad38d21c91b838887e6e94cf9c0045a4382567c342288a796c81307deba84a246f5cc3bc5d6
+DIST certbot-2.9.0.gh.tar.gz 1346993 BLAKE2B 
cf7fb4676dc31442abe11ef50d18073480a46f4ab19cc328da599b1372509af683b4c6010b46f31bce5703949e88b4702d404bd8582a1361caad43ec8f02cb94
 SHA512 
27c15ce8e4450f432fbc271cd847d27c7f1bce552cc6e5f2a91f1fbfc09ebe331b54bab17639b86c19605de059767015665c26e872c3b0699edb1c85392a0546

diff --git a/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-2.9.0.ebuild 
b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-2.9.0.ebuild
new file mode 100644
index 0000000000..425d68e1ae
--- /dev/null
+++ b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-2.9.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+PARENT_PN="${PN%-dns-rfc2136}"
+PARENT_P="${PARENT_PN}-${PV}"
+
+if [[ "${PV}" == *9999 ]]; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       EGIT_SUBMODULES=()
+       EGIT_CHECKOUT_DIR="${WORKDIR}/${PARENT_P}"
+else
+       SRC_URI="
+               https://github.com/certbot/certbot/archive/v${PV}.tar.gz
+                       -> ${PARENT_P}.gh.tar.gz
+       "
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="RFC 2136 DNS Authenticator plugin for Certbot (Let’s Encrypt 
client)"
+HOMEPAGE="
+       https://github.com/certbot/certbot
+       https://letsencrypt.org/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+S="${WORKDIR}/${PARENT_P}/${PN}"
+
+BDEPEND="
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       >=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
+       >=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/dnspython-1.15.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+# Same than PATCHES but from repository's root directory,
+# please see function `python_prepare_all` below.
+# Simplier for users IMHO.
+PARENT_PATCHES=(
+)
+
+# Here for patches within "${PN}" subdirectory.
+PATCHES=(
+)
+
+python_prepare_all() {
+       pushd "${WORKDIR}/${PARENT_P}" > /dev/null || die
+       [[ -n "${PARENT_PATCHES[@]}" ]] && eapply "${PARENT_PATCHES[@]}"
+       eapply_user
+       popd > /dev/null || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to